package util.event;

import javax.faces.model.SelectItem;
import java.util.ArrayList;

/**
 * User: ayanul Date: Feb 11, 2008 Time: 10:15:14 AM
 */
public class Event {
    private String onmouseup;
    private String ontabenter;
    private String ontableave;
    private String onLoadMap;
    private String onselectionchange;
    private String ondownclick;
    private String onupclick;
    private String oninit;
    private String ongroupactivate;
    private String onitemselect;
    private String onsubmit;
    private String onRowClick;
    private String onRowDblClick;
    private String onRowMouseDown;
    private String onRowMouseMove;
    private String onRowMouseOut;
    private String onRowMouseOver;
    private String onRowMouseUp;
    private String onselect;
    private String onchange;
    private String onfocus;
    private String onblur;
    private String onclick;
    private String oncollapse;
    private String oncomplete;
    private String ondblclick;
    private String ondragend;
    private String ondragenter;
    private String ondragexit;
    private String ondragstart;
    private String ondrop;
    private String ondropend;
    private String onexpand;
    private String onkeydown;
    private String onkeypress;
    private String onkeyup;
    private String onmousedown;
    private String onmousemove;
    private String onmouseout;
    private String onmouseover;
    private String onselected;
    private String onhide;
    private String onshow;
    private String onlistcall;
    private String onitemselected;
    private String oninputblur;
    private String oninputchange;
    private String oninputclick;
    private String oninputfocus;
    private String oninputkeydown;
    private String oninputkeypress;
    private String oninputkeyup;
    private String oninputselect;
    private String ondateselected;
    private String ondateselect;
    private String ontimeselect;
    private String ontimeselected;
    private String onchanged;
    private String ondatemouseover;
    private String ondatemouseout;
    private String oncurrentdateselect;
    private String onbeforedomupdate;
    private String onslide;
    private String ondropover;
    private String ondropout;
    private String onerror;
    private String ontopclick;
    private String onbottomclick;
    private String onorderchanged;
    private String onmove;
    private String onheaderclick;
    private String onmaskclick;
    private String onresize;
    private String onmaskmouseover;
    private String onmaskmouseout;
    private String onmaskmousemove;
    private String onmaskmouseup;
    private String onmaskmousedown;
    private String onmaskdblclick;
    private String onmaskcontextmenu;
    private String onitemchange;
    private String onitemhover;
    private String ongroupexpand;
    private String oncontextmenu;
    private String ongroupcollapse;
    private String opened;

	// showEvent('onkeypressInputID', 'onkeypress work!')
    public Event() {
    	onLoadMap = "showEvent('onLoadMapInputID', 'onLoadMap work!')";
    	onRowClick = "showEvent('onRowClickInputID', 'onRowClick work!')";
    	onRowDblClick = "showEvent('onRowDblClickInputID', 'onRowDblClick work!')";
    	onRowMouseDown = "showEvent('onRowMouseDownInputID', 'onRowMouseDown work!')";
    	onRowMouseMove = "showEvent('onRowMouseMoveInputID', 'onRowMouseMove work!')";
    	onRowMouseOut = "showEvent('onRowMouseOutInputID', 'onRowMouseOut work!')";
    	onRowMouseOver = "showEvent('onRowMouseOverInputID', 'onRowMouseOver work!')";
    	onRowMouseUp = "showEvent('onRowMouseUpInputID', 'onRowMouseUp work!')";
    	onbeforedomupdate = "showEvent('onbeforedomupdateInputID', 'onbeforedomupdate work!')";
    	onblur = "showEvent('onblurInputID', 'onblur work!')";
    	onbottomclick = "showEvent('onbottomclickInputID', 'onbottomclick work!')";
    	onchange = "showEvent('onchangeInputID', 'onchange work!')";
    	onchanged = "showEvent('onchangedInputID', 'onchanged work!')";
    	onclick = "showEvent('onclickInputID', 'onclick work!')";
    	oncollapse = "showEvent('oncollapseInputID', 'oncollapse work!')";
    	oncomplete = "showEvent('oncompleteInputID', 'oncomplete work!')";
    	oncontextmenu = "showEvent('oncontextmenuInputID', 'oncontextmenu work!')";
    	oncurrentdateselect = "showEvent('oncurrentdateselectInputID', 'oncurrentdateselect work!')";
    	ondatemouseout = "showEvent('ondatemouseoutInputID', 'ondatemouseout work!')";
    	ondatemouseover = "showEvent('ondatemouseoverInputID', 'ondatemouseover work!')";
    	ondateselect = "showEvent('ondateselectInputID', 'ondateselect work!')";
    	ondateselected = "showEvent('ondateselectedInputID', 'ondateselected work!')";
    	ondblclick = "showEvent('ondblclickInputID', 'ondblclick work!')";
    	ondownclick = "showEvent('ondownclickInputID', 'ondownclick work!')";
    	ondragend = "showEvent('ondragendInputID', 'ondragend work!')";
    	ondragenter = "showEvent('ondragenterInputID', 'ondragenter work!')";
    	ondragexit = "showEvent('ondragexitInputID', 'ondragexit work!')";
    	ondragstart = "showEvent('ondragstartInputID', 'ondragstart work!')";
    	ondrop = "showEvent('ondropInputID', 'ondrop work!')";
    	ondropend = "showEvent('ondropendInputID', 'ondropend work!')";
    	ondropout = "showEvent('ondropoutInputID', 'ondropout work!')";
    	ondropover = "showEvent('ondropoverInputID', 'ondropover work!')";
    	onerror = "showEvent('onerrorInputID', 'onerror work!')";
    	onexpand = "showEvent('onexpandInputID', 'onexpand work!')";
    	onfocus = "showEvent('onfocusInputID', 'onfocus work!')";
    	ongroupactivate = "showEvent('ongroupactivateInputID', 'ongroupactivate work!')";
    	ongroupexpand = "showEvent('ongroupexpandInputID', 'ongroupexpand work!')";
    	onheaderclick = "showEvent('onheaderclickInputID', 'onheaderclick work!')";
    	onhide = "showEvent('onhideInputID', 'onhide work!')";
    	oninit = "showEvent('oninitInputID', 'oninit work!')";
    	oninputblur = "showEvent('oninputblurInputID', 'oninputblur work!')";
    	oninputchange = "showEvent('oninputchangeInputID', 'oninputchange work!')";
    	oninputclick = "showEvent('oninputclickInputID', 'oninputclick work!')";
    	oninputfocus = "showEvent('oninputfocusInputID', 'oninputfocus work!')";
    	oninputkeydown = "showEvent('oninputkeydownInputID', 'oninputkeydown work!')";
    	oninputkeypress = "showEvent('oninputkeypressInputID', 'oninputkeypress work!')";
    	oninputkeyup = "showEvent('oninputkeyupInputID', 'oninputkeyup work!')";
    	oninputselect = "showEvent('oninputselectInputID', 'oninputselect work!')";
    	onitemchange = "showEvent('onitemchangeInputID', 'onitemchange work!')";
    	onitemhover = "showEvent('onitemhoverInputID', 'onitemhover work!')";
    	onitemselect = "showEvent('onitemselectInputID', 'onitemselect work!')";
    	onitemselected = "showEvent('onitemselectedInputID', 'onitemselected work!')";
    	onkeydown = "showEvent('onkeydownInputID', 'onkeydown work!')";
    	onkeypress = "showEvent('onkeypressInputID', 'onkeypress work!')";
    	onkeyup = "showEvent('onkeyupInputID', 'onkeyup work!')";
    	onlistcall = "showEvent('onlistcallInputID', 'onlistcall work!')";
    	onmaskclick = "showEvent('onmaskclickInputID', 'onmaskclick work!')";
    	onmaskcontextmenu = "showEvent('onmaskcontextmenuInputID', 'onmaskcontextmenu work!')";
    	onmaskdblclick = "showEvent('onmaskdblclickInputID', 'onmaskdblclick work!')";
    	onmaskmousedown = "showEvent('onmaskmousedownInputID', 'onmaskmousedown work!')";
    	onmaskmousemove = "showEvent('onmaskmousemoveInputID', 'onmaskmousemove work!')";
    	onmaskmouseout = "showEvent('onmaskmouseoutInputID', 'onmaskmouseout work!')";
    	onmaskmouseover = "showEvent('onmaskmouseoverInputID', 'onmaskmouseover work!')";
    	onmaskmouseup = "showEvent('onmaskmouseupInputID', 'onmaskmouseup work!')";
    	onmousedown = "showEvent('onmousedownInputID', 'onmousedown work!')";
    	onmousemove = "showEvent('onmousemoveInputID', 'onmousemove work!')";
    	onmouseout = "showEvent('onmouseoutInputID', 'onmouseout work!')";
    	onmouseover = "showEvent('onmouseoverInputID', 'onmouseover work!')";
    	onmouseup = "showEvent('onmouseupInputID', 'onmouseup work!')";
    	onmove = "showEvent('onmoveInputID', 'onmove work!')";
    	onorderchanged = "showEvent('onorderchangedInputID', 'onorderchanged work!')";
    	onresize = "showEvent('onresizeInputID', 'onresize work!')";
    	onselect = "showEvent('onselectInputID', 'onselect work!')";
    	onselected = "showEvent('onselectedInputID', 'onselected work!')";
    	onselectionchange = "showEvent('onselectionchangeInputID', 'onselectionchange work!')";
    	onshow = "showEvent('onshowInputID', 'onshow work!')";
    	onslide = "showEvent('onslideInputID', 'onslide work!')";
    	onsubmit = "showEvent('onsubmitInputID', 'onsubmit work!')";
    	ontabenter = "showEvent('ontabenterInputID', 'ontabenter work!')";
    	ontableave = "showEvent('ontableaveInputID', 'ontableave work!')";
    	ontimeselect = "showEvent('ontimeselectInputID', 'ontimeselect work!')";
    	ontimeselected = "showEvent('ontimeselectedInputID', 'ontimeselected work!')";
    	ontopclick = "showEvent('ontopclickInputID', 'ontopclick work!')";
    	onupclick = "showEvent('onupclickInputID', 'onupclick work!')";
    	ongroupcollapse = "showEvent('ongroupcollapseInputID', 'ongroupcollapse work!')";
    	opened = "showEvent('openedInputID', 'opened work!')";
    }

    public String getOncontextmenu() {
		return oncontextmenu;
	}

	public void setOncontextmenu(String oncontextmenu) {
		this.oncontextmenu = oncontextmenu;
	}

	public String getOngroupexpand() {
		return ongroupexpand;
	}

	public void setOngroupexpand(String ongroupexpand) {
		this.ongroupexpand = ongroupexpand;
	}

	public String getOnitemhover() {
		return onitemhover;
	}

	public void setOnitemhover(String onitemhover) {
		this.onitemhover = onitemhover;
	}

	public String getOnitemchange() {
		return onitemchange;
	}

	public void setOnitemchange(String onitemchange) {
		this.onitemchange = onitemchange;
	}

	public String getOnheaderclick() {
		return onheaderclick;
	}

	public void setOnheaderclick(String onheaderclick) {
		this.onheaderclick = onheaderclick;
	}

	public String getOnmove() {
		return onmove;
	}

	public void setOnmove(String onmove) {
		this.onmove = onmove;
	}

	public String getOntopclick() {
		return ontopclick;
	}

	public void setOntopclick(String ontopclick) {
		this.ontopclick = ontopclick;
	}

	public String getOnerror() {
		return onerror;
	}

	public void setOnerror(String onerror) {
		this.onerror = onerror;
	}

	public String getOndropover() {
		return ondropover;
	}

	public void setOndropover(String ondropover) {
		this.ondropover = ondropover;
	}

	public String getOnslide() {
		return onslide;
	}

	public void setOnslide(String onslide) {
		this.onslide = onslide;
	}

	public String getOnbeforedomupdate() {
		return onbeforedomupdate;
	}

	public void setOnbeforedomupdate(String onbeforedomupdate) {
		this.onbeforedomupdate = onbeforedomupdate;
	}

    public ArrayList<SelectItem> getEvent(String event) {
        ArrayList<SelectItem> arr = new ArrayList<SelectItem>();
        arr.add(new SelectItem("showEvent('" + event + "', '" + event + " work!'"));
        arr.add(new SelectItem("alert('" + event + "')"));
        arr.add(new SelectItem(""));
        return arr;

    }

     public ArrayList<SelectItem> getOntabenterSI() {
        return getEvent("ontabenter");
    }

    public ArrayList<SelectItem> getOntableaveSI() {
        return getEvent("ontableave");
    }

    public ArrayList<SelectItem> getOnLoadMapSI() {
        return getEvent("onLoadMap");
    }

    public ArrayList<SelectItem> getOnselectionchangeSI() {
        return getEvent("onselectionchange");
    }

    public ArrayList<SelectItem> getOndownclickSI() {
        return getEvent("ondownclick");
    }

    public ArrayList<SelectItem> getOnupclickSI() {
        return getEvent("onupclick");
    }

    public ArrayList<SelectItem> getOninitSI() {
        return getEvent("oninit");
    }

    public ArrayList<SelectItem> getOngroupactivateSI() {
        return getEvent("ongroupactivate");
    }

    public ArrayList<SelectItem> getOnitemselectSI() {
        return getEvent("onitemselect");
    }

    public ArrayList<SelectItem> getOnsubmitSI() {
        return getEvent("onsubmit");
    }

    public ArrayList<SelectItem> getOnRowClickSI() {
        return getEvent("onRowClick");
    }

    public ArrayList<SelectItem> getOnRowDblClickSI() {
        return getEvent("onRowDblClick");
    }

    public ArrayList<SelectItem> getOnRowMouseDownSI() {
        return getEvent("onRowMouseDown");
    }

    public ArrayList<SelectItem> getOnRowMouseMoveSI() {
        return getEvent("onRowMouseMove");
    }

    public ArrayList<SelectItem> getOnRowMouseOutSI() {
        return getEvent("onRowMouseOut");
    }

    public ArrayList<SelectItem> getOnRowMouseOverSI() {
        return getEvent("onRowMouseOut");
    }

    public ArrayList<SelectItem> getOnRowMouseUpSI() {
        return getEvent("onRowMouseUp");
    }

    public ArrayList<SelectItem> getOnselectSI() {
        return getEvent("onselect");
    }

    public ArrayList<SelectItem> getOnchangeSI() {
        return getEvent("onchange");
    }

    public ArrayList<SelectItem> getOnfocusSI() {
        return getEvent("onfocus");
    }

    public ArrayList<SelectItem> getOnblurSI() {
        return getEvent("onblur");
    }

    public ArrayList<SelectItem> getOnclickSI() {
        return getEvent("onclick");
    }

    public ArrayList<SelectItem> getOncollapseSI() {
        return getEvent("oncollapse");
    }

    public ArrayList<SelectItem> getOncompleteSI() {
        return getEvent("oncomplete");
    }

    public ArrayList<SelectItem> getOndblclickSI() {
        return getEvent("ondblclick");
    }

    public ArrayList<SelectItem> getOndragendSI() {
        return getEvent("ondragend");
    }

    public ArrayList<SelectItem> getOndragenterSI() {
        return getEvent("ondragenter");
    }

    public ArrayList<SelectItem> getOndragexitSI() {
        return getEvent("ondragexit");
    }

    public ArrayList<SelectItem> getOndragstartSI() {
        return getEvent("ondragstart");
    }

    public ArrayList<SelectItem> getOndropSI() {
        return getEvent("ondrop");
    }

    public ArrayList<SelectItem> getOndropendSI() {
        return getEvent("ondropend");
    }

    public ArrayList<SelectItem> getOnexpandSI() {
        return getEvent("onexpand");
    }

    public ArrayList<SelectItem> getOnkeydownSI() {
        return getEvent("onkeydown");
    }

    public ArrayList<SelectItem> getOnkeypressSI() {
        return getEvent("onkeypress");
    }

    public ArrayList<SelectItem> getOnkeyupSI() {
        return getEvent("onkeyup");
    }

    public ArrayList<SelectItem> getOnmousedownSI() {
        return getEvent("onmousedown");
    }

    public ArrayList<SelectItem> getOnmousemoveSI() {
        return getEvent("onmousemove");
    }

    public ArrayList<SelectItem> getOnmouseoutSI() {
        return getEvent("onmouseout");
    }

    public ArrayList<SelectItem> getOnmouseoverSI() {
        return getEvent("onmouseover");
    }

    public ArrayList<SelectItem> getOnselectedSI() {
        return getEvent("onselected");
    }

    public ArrayList<SelectItem> getOnhideSI() {
        return getEvent("onhide");
    }

    public ArrayList<SelectItem> getOnshowSI() {
        return getEvent("onshow");
    }
	
    public ArrayList<SelectItem> getOnmouseupSI() {
        return getEvent("onmouseup");
    }

    public ArrayList<SelectItem> getOnlistcallSI() {
        return getEvent("onlistcall");
    }

    public ArrayList<SelectItem> getOnitemselectedSI() {
        return getEvent("onitemselected");
    }
    
    public ArrayList<SelectItem> getOninputblurSI() {
        return getEvent("oninputblur");
    }

	public String getOnmouseup() {
		return onmouseup;
	}

	public void setOnmouseup(String onmouseup) {
		this.onmouseup = onmouseup;
	}

	public String getOntabenter() {
		return ontabenter;
	}

	public void setOntabenter(String ontabenter) {
		this.ontabenter = ontabenter;
	}

	public String getOntableave() {
		return ontableave;
	}

	public void setOntableave(String ontableave) {
		this.ontableave = ontableave;
	}

	public String getOnLoadMap() {
		return onLoadMap;
	}

	public void setOnLoadMap(String onLoadMap) {
		this.onLoadMap = onLoadMap;
	}

	public String getOnselectionchange() {
		return onselectionchange;
	}

	public void setOnselectionchange(String onselectionchange) {
		this.onselectionchange = onselectionchange;
	}

	public String getOndownclick() {
		return ondownclick;
	}

	public void setOndownclick(String ondownclick) {
		this.ondownclick = ondownclick;
	}

	public String getOnupclick() {
		return onupclick;
	}

	public void setOnupclick(String onupclick) {
		this.onupclick = onupclick;
	}

	public String getOninit() {
		return oninit;
	}

	public void setOninit(String oninit) {
		this.oninit = oninit;
	}

	public String getOngroupactivate() {
		return ongroupactivate;
	}

	public void setOngroupactivate(String ongroupactivate) {
		this.ongroupactivate = ongroupactivate;
	}

	public String getOnitemselect() {
		return onitemselect;
	}

	public void setOnitemselect(String onitemselect) {
		this.onitemselect = onitemselect;
	}

	public String getOnsubmit() {
		return onsubmit;
	}

	public void setOnsubmit(String onsubmit) {
		this.onsubmit = onsubmit;
	}

	public String getOnRowClick() {
		return onRowClick;
	}

	public void setOnRowClick(String onRowClick) {
		this.onRowClick = onRowClick;
	}

	public String getOnRowDblClick() {
		return onRowDblClick;
	}

	public void setOnRowDblClick(String onRowDblClick) {
		this.onRowDblClick = onRowDblClick;
	}

	public String getOnRowMouseDown() {
		return onRowMouseDown;
	}

	public void setOnRowMouseDown(String onRowMouseDown) {
		this.onRowMouseDown = onRowMouseDown;
	}

	public String getOnRowMouseMove() {
		return onRowMouseMove;
	}

	public void setOnRowMouseMove(String onRowMouseMove) {
		this.onRowMouseMove = onRowMouseMove;
	}

	public String getOnRowMouseOut() {
		return onRowMouseOut;
	}

	public void setOnRowMouseOut(String onRowMouseOut) {
		this.onRowMouseOut = onRowMouseOut;
	}

	public String getOnRowMouseOver() {
		return onRowMouseOver;
	}

	public void setOnRowMouseOver(String onRowMouseOver) {
		this.onRowMouseOver = onRowMouseOver;
	}

	public String getOnRowMouseUp() {
		return onRowMouseUp;
	}

	public void setOnRowMouseUp(String onRowMouseUp) {
		this.onRowMouseUp = onRowMouseUp;
	}

	public String getOnselect() {
		return onselect;
	}

	public void setOnselect(String onselect) {
		this.onselect = onselect;
	}

	public String getOnchange() {
		return onchange;
	}

	public void setOnchange(String onchange) {
		this.onchange = onchange;
	}

	public String getOnfocus() {
		return onfocus;
	}

	public void setOnfocus(String onfocus) {
		this.onfocus = onfocus;
	}

	public String getOnblur() {
		return onblur;
	}

	public void setOnblur(String onblur) {
		this.onblur = onblur;
	}

	public String getOnclick() {
		return onclick;
	}

	public void setOnclick(String onclick) {
		this.onclick = onclick;
	}

	public String getOncollapse() {
		return oncollapse;
	}

	public void setOncollapse(String oncollapse) {
		this.oncollapse = oncollapse;
	}

	public String getOncomplete() {
		return oncomplete;
	}

	public void setOncomplete(String oncomplete) {
		this.oncomplete = oncomplete;
	}

	public String getOndblclick() {
		return ondblclick;
	}

	public void setOndblclick(String ondblclick) {
		this.ondblclick = ondblclick;
	}

	public String getOndragend() {
		return ondragend;
	}

	public void setOndragend(String ondragend) {
		this.ondragend = ondragend;
	}

	public String getOndragenter() {
		return ondragenter;
	}

	public void setOndragenter(String ondragenter) {
		this.ondragenter = ondragenter;
	}

	public String getOndragexit() {
		return ondragexit;
	}

	public void setOndragexit(String ondragexit) {
		this.ondragexit = ondragexit;
	}

	public String getOndragstart() {
		return ondragstart;
	}

	public void setOndragstart(String ondragstart) {
		this.ondragstart = ondragstart;
	}

	public String getOndrop() {
		return ondrop;
	}

	public void setOndrop(String ondrop) {
		this.ondrop = ondrop;
	}

	public String getOndropend() {
		return ondropend;
	}

	public void setOndropend(String ondropend) {
		this.ondropend = ondropend;
	}

	public String getOnexpand() {
		return onexpand;
	}

	public void setOnexpand(String onexpand) {
		this.onexpand = onexpand;
	}

	public String getOnkeydown() {
		return onkeydown;
	}

	public void setOnkeydown(String onkeydown) {
		this.onkeydown = onkeydown;
	}

	public String getOnkeypress() {
		return onkeypress;
	}

	public void setOnkeypress(String onkeypress) {
		this.onkeypress = onkeypress;
	}

	public String getOnkeyup() {
		return onkeyup;
	}

	public void setOnkeyup(String onkeyup) {
		this.onkeyup = onkeyup;
	}

	public String getOnmousedown() {
		return onmousedown;
	}

	public void setOnmousedown(String onmousedown) {
		this.onmousedown = onmousedown;
	}

	public String getOnmousemove() {
		return onmousemove;
	}

	public void setOnmousemove(String onmousemove) {
		this.onmousemove = onmousemove;
	}

	public String getOnmouseout() {
		return onmouseout;
	}

	public void setOnmouseout(String onmouseout) {
		this.onmouseout = onmouseout;
	}

	public String getOnmouseover() {
		return onmouseover;
	}

	public void setOnmouseover(String onmouseover) {
		this.onmouseover = onmouseover;
	}

	public String getOnselected() {
		return onselected;
	}

	public void setOnselected(String onselected) {
		this.onselected = onselected;
	}

	public String getOnhide() {
		return onhide;
	}

	public void setOnhide(String onhide) {
		this.onhide = onhide;
	}

	public String getOnshow() {
		return onshow;
	}

	public void setOnshow(String onshow) {
		this.onshow = onshow;
	}

	public String getOnlistcall() {
		return onlistcall;
	}

	public void setOnlistcall(String onlistcall) {
		this.onlistcall = onlistcall;
	}

	public String getOnitemselected() {
		return onitemselected;
	}

	public void setOnitemselected(String onitemselected) {
		this.onitemselected = onitemselected;
	}

	public String getOninputblur() {
		return oninputblur;
	}

	public void setOninputblur(String oninputblur) {
		this.oninputblur = oninputblur;
	}

	public String getOninputclick() {
		return oninputclick;
	}

	public void setOninputclick(String oninputclick) {
		this.oninputclick = oninputclick;
	}

	public String getOninputfocus() {
		return oninputfocus;
	}

	public void setOninputfocus(String oninputfocus) {
		this.oninputfocus = oninputfocus;
	}

	public String getOninputkeydown() {
		return oninputkeydown;
	}

	public void setOninputkeydown(String oninputkeydown) {
		this.oninputkeydown = oninputkeydown;
	}

	public String getOninputkeypress() {
		return oninputkeypress;
	}

	public void setOninputkeypress(String oninputkeypress) {
		this.oninputkeypress = oninputkeypress;
	}

	public String getOninputkeyup() {
		return oninputkeyup;
	}

	public void setOninputkeyup(String oninputkeyup) {
		this.oninputkeyup = oninputkeyup;
	}

	public String getOninputselect() {
		return oninputselect;
	}

	public void setOninputselect(String oninputselect) {
		this.oninputselect = oninputselect;
	}

	public String getOndateselected() {
		return ondateselected;
	}

	public void setOndateselected(String ondateselected) {
		this.ondateselected = ondateselected;
	}

	public String getOndateselect() {
		return ondateselect;
	}

	public void setOndateselect(String ondateselect) {
		this.ondateselect = ondateselect;
	}

	public String getOntimeselect() {
		return ontimeselect;
	}

	public void setOntimeselect(String ontimeselect) {
		this.ontimeselect = ontimeselect;
	}

	public String getOntimeselected() {
		return ontimeselected;
	}

	public void setOntimeselected(String ontimeselected) {
		this.ontimeselected = ontimeselected;
	}

	public String getOnchanged() {
		return onchanged;
	}

	public void setOnchanged(String onchanged) {
		this.onchanged = onchanged;
	}

	public String getOndatemouseover() {
		return ondatemouseover;
	}

	public void setOndatemouseover(String ondatemouseover) {
		this.ondatemouseover = ondatemouseover;
	}

	public String getOndatemouseout() {
		return ondatemouseout;
	}

	public void setOndatemouseout(String ondatemouseout) {
		this.ondatemouseout = ondatemouseout;
	}

	public String getOncurrentdateselect() {
		return oncurrentdateselect;
	}

	public void setOncurrentdateselect(String oncurrentdateselect) {
		this.oncurrentdateselect = oncurrentdateselect;
	}

	public String getOninputchange() {
		return oninputchange;
	}

	public void setOninputchange(String oninputchange) {
		this.oninputchange = oninputchange;
	}

	public String getOndropout() {
		return ondropout;
	}

	public void setOndropout(String ondropout) {
		this.ondropout = ondropout;
	}

	public String getOnbottomclick() {
		return onbottomclick;
	}

	public void setOnbottomclick(String onbottomclick) {
		this.onbottomclick = onbottomclick;
	}

	public String getOnorderchanged() {
		return onorderchanged;
	}

	public void setOnorderchanged(String onorderchanged) {
		this.onorderchanged = onorderchanged;
	}

	public String getOnmaskclick() {
		return onmaskclick;
	}

	public void setOnmaskclick(String onmaskclick) {
		this.onmaskclick = onmaskclick;
	}

	public String getOnresize() {
		return onresize;
	}

	public void setOnresize(String onresize) {
		this.onresize = onresize;
	}

	public String getOnmaskmouseover() {
		return onmaskmouseover;
	}

	public void setOnmaskmouseover(String onmaskmouseover) {
		this.onmaskmouseover = onmaskmouseover;
	}

	public String getOnmaskmouseout() {
		return onmaskmouseout;
	}

	public void setOnmaskmouseout(String onmaskmouseout) {
		this.onmaskmouseout = onmaskmouseout;
	}

	public String getOnmaskmousemove() {
		return onmaskmousemove;
	}

	public void setOnmaskmousemove(String onmaskmousemove) {
		this.onmaskmousemove = onmaskmousemove;
	}

	public String getOnmaskmouseup() {
		return onmaskmouseup;
	}

	public void setOnmaskmouseup(String onmaskmouseup) {
		this.onmaskmouseup = onmaskmouseup;
	}

	public String getOnmaskmousedown() {
		return onmaskmousedown;
	}

	public void setOnmaskmousedown(String onmaskmousedown) {
		this.onmaskmousedown = onmaskmousedown;
	}

	public String getOnmaskdblclick() {
		return onmaskdblclick;
	}

	public void setOnmaskdblclick(String onmaskdblclick) {
		this.onmaskdblclick = onmaskdblclick;
	}

	public String getOnmaskcontextmenu() {
		return onmaskcontextmenu;
	}

	public void setOnmaskcontextmenu(String onmaskcontextmenu) {
		this.onmaskcontextmenu = onmaskcontextmenu;
	}
	

	public String getOngroupcollapse() {
		return ongroupcollapse;
	}

	public void setOngroupcollapse(String ongroupcollapse) {
		this.ongroupcollapse = ongroupcollapse;
	}

	public String getOpened() {
		return opened;
	}

	public void setOpened(String opened) {
		this.opened = opened;
	}

}